<#-- 按类型绘制 -->
<#macro renderByDetailType panelDetail view>
    <#if panelDetail.getItemType()?? && panelDetail.getItemType() == "CONTAINER">
    <#-- 边缘布局 -->
    <#if panelDetail.getPSLayout().getLayout()?? && panelDetail.getPSLayout().getLayout() == "BORDER" >
    <app-scroll-container name="${panelDetail.getName()}" :layoutModelDetails="layoutModelDetails">
    <#if panelDetail.getPSPanelItems()??>
        <#list panelDetail.getPSPanelItems() as panelItem>
        <template #${panelItem.getName()}>
        <@renderByDetailType panelItem view />
        </template>
        </#list>
    </#if>
    </app-scroll-container>
    <#-- SIMPLEFLEX布局(栅格布局) -->
    <#elseif panelDetail.getPSLayout().getLayout()?? && panelDetail.getPSLayout().getLayout() == "SIMPLEFLEX" >
    <app-simpleflex-container name="${panelDetail.getName()}" :layoutModelDetails="layoutModelDetails">
     <#if panelDetail.getPSPanelItems()??>
        <#list panelDetail.getPSPanelItems() as panelItem>
        <template #${panelItem.getName()}>
        <@renderByDetailType panelItem view />
        </template>
        </#list>
    </#if>
    </app-simpleflex-container>
    <#else>
    <app-standard-container name="${panelDetail.getName()}" :layoutModelDetails="layoutModelDetails">
     <#if panelDetail.getPSPanelItems()??>
        <#list panelDetail.getPSPanelItems() as panelItem>
        <template #${panelItem.getName()}>
        <@renderByDetailType panelItem view />
        </template>
        </#list>
    </#if>
    </app-standard-container>
    </#if>
    <#elseif panelDetail.getItemType()?? && panelDetail.getItemType() == "TABPAGE">
    <app-tab-page name="${panelDetail.getName()}" :layoutModelDetails="layoutModelDetails">
        <#if panelDetail.getPSPanelItems?? && panelDetail.getPSPanelItems()??>
            <#list panelDetail.getPSPanelItems() as panelItem>
        <template #${panelItem.getName()}>
            <@renderByDetailType panelItem view />
        </template>
            </#list>
        </#if>
    </app-tab-page>
    <#elseif panelDetail.getItemType()?? && panelDetail.getItemType() == "TABPANEL">
    <app-tab-panel name="${panelDetail.getName()}" :layoutModelDetails="layoutModelDetails">
        <#if panelDetail.getPSPanelTabPages?? && panelDetail.getPSPanelTabPages()??>
            <#list panelDetail.getPSPanelTabPages() as tabPage>
        <template #${tabPage.getName()}>
            <@renderByDetailType tabPage view />
        </template>
            </#list>
        </#if>
    </app-tab-panel>
    <#elseif panelDetail.getItemType()?? && panelDetail.getItemType() == "FIELD">
        <#--  <#if panelDetail.getPSEditor?? && panelDetail.getPSEditor()?? && panelDetail.getPSEditor().getPredefinedType?? && panelDetail.getPSEditor().getPredefinedType == "AUTH_USERID">
        <span>用户名</span>
        <#elseif panelDetail.getPSEditor?? && panelDetail.getPSEditor()?? && panelDetail.getPSEditor().getPredefinedType?? && panelDetail.getPSEditor().getPredefinedType == "AUTH_PASSWORD">
        <span>密码</span>
        <#elseif panelDetail.getPSEditor?? && panelDetail.getPSEditor()?? && panelDetail.getPSEditor().getPredefinedType?? && panelDetail.getPSEditor().getPredefinedType == "AUTH_ORGPICK">
        <span>组织</span>
        <#elseif panelDetail.getPSEditor?? && panelDetail.getPSEditor()?? && panelDetail.getPSEditor().getPredefinedType?? && panelDetail.getPSEditor().getPredefinedType == "AUTH_VERIFICATIONCODE">
        <span>短信验证</span>
        <#elseif panelDetail.getPSEditor?? && panelDetail.getPSEditor()?? && panelDetail.getPSEditor().getPredefinedType?? && panelDetail.getPSEditor().getPredefinedType == "AUTH_LOGINMSG">
        <span>登录校验</span>
        <#else>
        </#if>  -->
        <span>属性项</span>
    <#elseif panelDetail.getItemType()?? && panelDetail.getItemType() == "RAWITEM">
        <#if panelDetail.getPSRawItem?? && panelDetail.getPSRawItem()?? && panelDetail.getPSRawItem().getPredefinedType?? && panelDetail.getPSRawItem().getPredefinedType()?? && panelDetail.getPSRawItem().getPredefinedType() == 'STATIC_IMAGE'>
        <span>这里放图片</span>
        <#elseif panelDetail.getPSRawItem?? && panelDetail.getPSRawItem()?? && panelDetail.getPSRawItem().getPredefinedType?? && panelDetail.getPSRawItem().getPredefinedType()?? && panelDetail.getPSRawItem().getPredefinedType() == 'STATIC_CAROUSEL'>
        <span>这里放轮播图</span>
        <#elseif panelDetail.getPSRawItem?? && panelDetail.getPSRawItem()?? && panelDetail.getPSRawItem().getPredefinedType?? && panelDetail.getPSRawItem().getPredefinedType()?? && panelDetail.getPSRawItem().getPredefinedType() == 'STATIC_VIDEOPLAYER'>
        <span>这里放视频</span>
        </#if>
    <#elseif panelDetail.getItemType()?? && panelDetail.getItemType() == "BUTTON">
        <#--  <#if panelDetail.getPSUIAction?? && panelDetail.getPSUIAction()?? && panelDetail.getPSUIAction().getPredefinedType?? && panelDetail.getPSUIAction().getPredefinedType == "APP_LOGIN">
        <span>登录按钮</span>
        <#elseif panelDetail.getName == "auth_registbutton1">
        <span>注册按钮</span>
        <#elseif panelDetail.getPSUIAction?? && panelDetail.getPSUIAction()?? && panelDetail.getPSUIAction().getPredefinedType?? && panelDetail.getPSUIAction().getPredefinedType == "DATA_CANCELCHANGES">
        <span>重置按钮</span>
        <#elseif panelDetail.getPSUIAction?? && panelDetail.getPSUIAction()?? && panelDetail.getPSUIAction().getPredefinedType?? && panelDetail.getPSUIAction().getPredefinedType == "APP_LOGOUT">
        <span>登出</span>
        <#else>
        </#if>  -->
        <span>按钮</span>
    <#elseif panelDetail.getItemType()?? && panelDetail.getItemType() == "CTRLPOS">
        <#if view?? && view.hasPSControl?? && view.hasPSControl(panelDetail.getName())>
            ${P.getCtrlCode(panelDetail.getName(), 'CONTROL.html').code}
        <#else>
        <span>部件占位${panelDetail.getName()}</span>
        </#if>
    <#elseif panelDetail.getItemType()?? && panelDetail.getItemType() == "USERCONTROL">
        <#--  <#if panelDetail.getPredefinedType?? && panelDetail.getPredefinedType == "AUTH_CAPTCHA">
        <span>人机识别</span>
        <#elseif panelDetail.getPredefinedType?? && panelDetail.getPredefinedType == "AUTH_SSO">
        <span>第三方登录</span>
        <#else>
        </#if>  -->
        <span>用户自定义控件</span>
    <#else>
    <span>${panelDetail.getItemType()}暂未支持</span>
    </#if>
</#macro>

